Subject: [Pce] [Editorial Errata Reported] RFC8233 (5389)

From: RFC Errata System <[email-masked]>
Date: Wed, 13 Jun 2018 03:49:58 -0700 (PDT)

The following errata report has been submitted for RFC8233,
"Extensions to the Path Computation Element Communication Protocol (PCEP) to Compute Service-Aware Label Switched Paths (LSPs)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5389

--------------------------------------
Type: Editorial
Reported by: DHRUV DHODY <[email-masked]>

Section: 3.1

Original Text
-------------
The METRIC object is defined in Section 7.8 of [RFC5440], comprising
metric-value and metric-type (T field), and a flags field, comprising
a number of bit flags (B bit and P bit).  This document defines the
following types for the METRIC object.

Corrected Text
--------------
The METRIC object is defined in Section 7.8 of [RFC5440], comprising
metric-value and metric-type (T field), and a flags field, comprising
a number of bit flags (B bit and C bit).  This document defines the
following types for the METRIC object.

Notes
-----
The METRIC object (https://tools.ietf.org/html/rfc5440#section-7.8) has 2 flags defined - B (Bound) and C (Computed Metric). The P bit is incorrect in the original text, it should be C bit.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8233 (draft-ietf-pce-pcep-service-aware-13)
--------------------------------------
Title               : Extensions to the Path Computation Element Communication Protocol (PCEP) to Compute Service-Aware Label Switched Paths (LSPs)
Publication Date    : September 2017
Author(s)           : D. Dhody, Q. Wu, V. Manral, Z. Ali, K. Kumaki
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Jonathan Hardwick <[email-masked]>
Date: Wed, 13 Jun 2018 11:06:22 +0000

Just to confirm, this errata is correct.
Jon

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: 13 June 2018 11:50
To: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Jonathan Hardwick <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Editorial Errata Reported] RFC8233 (5389)

The following errata report has been submitted for RFC8233, "Extensions to the Path Computation Element Communication Protocol (PCEP) to Compute Service-Aware Label Switched Paths (LSPs)".

Section: 3.1

Original Text
-------------
The METRIC object is defined in Section 7.8 of [RFC5440], comprising metric-value and metric-type (T field), and a flags field, comprising a number of bit flags (B bit and P bit).  This document defines the following types for the METRIC object.

Corrected Text
--------------
The METRIC object is defined in Section 7.8 of [RFC5440], comprising metric-value and metric-type (T field), and a flags field, comprising a number of bit flags (B bit and C bit).  This document defines the following types for the METRIC object.

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party can log in to change the status and edit the report, if necessary.

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Wed, 13 Jun 2018 13:26:58 +0000

Thanks Jon😊

-----Original Message-----
From: Jonathan Hardwick <[email-masked]> 
Sent: Wednesday, June 13, 2018 7:06 AM
To: BRUNGARD, DEBORAH A <[email-masked]>
Cc: [email-masked]; [email-masked]; Dhruv Dhody <[email-masked]>
Subject: FW: [Editorial Errata Reported] RFC8233 (5389)

Jon

-----Original Message-----

Sent: 13 June 2018 11:50

https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-2Deditor.org_errata_eid5389&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=b-dQqOGdo9UJpAWsKJErUK6urfVzd3eZ6cYvH32_3r8&s=dSgpeuErws1TpFAmAueAYVjQd7lJPBi7HdWYnv7_VqA&e=

Type: Editorial

Section: 3.1

Original Text

-------------

Corrected Text

--------------

Notes

-----

The METRIC object (https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5440-23section-2D7.8&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW9lwi9dM7jYlxXD8w&m=b-dQqOGdo9UJpAWsKJErUK6urfVzd3eZ6cYvH32_3r8&s=lx0vKxaAkgWSRQnWqqfpkT4WfqO7C2jE8dOa2XOcA48&e=) has 2 flags defined - B (Bound) and C (Computed Metric). The P bit is incorrect in the original text, it should be C bit.

Instructions:

-------------

Area                : Routing

Stream              : IETF

Verifying Party     : IESG